TelnetOption
Date: 2016-06-23

org.apache.commons.net.telnet

## Class TelnetOption

- java.lang.Object
- - org.apache.commons.net.telnet.TelnetOption

-     public class TelnetOption
      extends java.lang.Object

  The TelnetOption class cannot be instantiated and only serves as a storehouse for telnet option constants.

  Details regarding Telnet option specification can be found in RFC 855.

  See Also:
    `Telnet`, `TelnetClient`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `APPROXIMATE_MESSAGE_SIZE`
    `static int` | `AUTHENTICATION`
    `static int` | `BINARY`
    `static int` | `BYTE_MACRO`
    `static int` | `DATA_ENTRY_TERMINAL`
    `static int` | `ECHO`
    `static int` | `ENCRYPTION`
    `static int` | `END_OF_RECORD`
    `static int` | `EXTENDED_ASCII`
    `static int` | `EXTENDED_OPTIONS_LIST`
    `static int` | `FORCE_LOGOUT`
    `static int` | `LINEMODE`
    `static int` | `MAX_OPTION_VALUE` The maximum value an option code can have.
    `static int` | `NEGOTIATE_CARRIAGE_RETURN`
    `static int` | `NEGOTIATE_FORMFEED`
    `static int` | `NEGOTIATE_HORIZONTAL_TAB`
    `static int` | `NEGOTIATE_HORIZONTAL_TAB_STOP`
    `static int` | `NEGOTIATE_LINEFEED`
    `static int` | `NEGOTIATE_OUTPUT_LINE_WIDTH`
    `static int` | `NEGOTIATE_OUTPUT_PAGE_SIZE`
    `static int` | `NEGOTIATE_VERTICAL_TAB`
    `static int` | `NEGOTIATE_VERTICAL_TAB_STOP`
    `static int` | `NEW_ENVIRONMENT_VARIABLES`
    `static int` | `OLD_ENVIRONMENT_VARIABLES`
    `static int` | `OUTPUT_MARKING`
    `static int` | `PREPARE_TO_RECONNECT`
    `static int` | `REGIME_3270`
    `static int` | `REMOTE_CONTROLLED_TRANSMISSION`
    `static int` | `REMOTE_FLOW_CONTROL`
    `static int` | `SEND_LOCATION`
    `static int` | `STATUS`
    `static int` | `SUPDUP`
    `static int` | `SUPDUP_OUTPUT`
    `static int` | `SUPPRESS_GO_AHEAD`
    `static int` | `TACACS_USER_IDENTIFICATION`
    `static int` | `TERMINAL_LOCATION_NUMBER`
    `static int` | `TERMINAL_SPEED`
    `static int` | `TERMINAL_TYPE`
    `static int` | `TIMING_MARK`
    `static int` | `WINDOW_SIZE`
    `static int` | `X_DISPLAY_LOCATION`
    `static int` | `X3_PAD`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getOption(int code)` Returns the string representation of the telnet protocol option corresponding to the given option code.
    `static boolean` | `isValidOption(int code)` Determines if a given option code is valid.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_OPTION_VALUE

          public static final int MAX_OPTION_VALUE

      The maximum value an option code can have. This value is 255.
      See Also:
        Constant Field Values

    - #### BINARY

          public static final int BINARY

      See Also:
        Constant Field Values

    - #### ECHO

          public static final int ECHO

      See Also:
        Constant Field Values

    - #### PREPARE_TO_RECONNECT

          public static final int PREPARE_TO_RECONNECT

      See Also:
        Constant Field Values

    - #### SUPPRESS_GO_AHEAD

          public static final int SUPPRESS_GO_AHEAD

      See Also:
        Constant Field Values

    - #### APPROXIMATE_MESSAGE_SIZE

          public static final int APPROXIMATE_MESSAGE_SIZE

      See Also:
        Constant Field Values

    - #### STATUS

          public static final int STATUS

      See Also:
        Constant Field Values

    - #### TIMING_MARK

          public static final int TIMING_MARK

      See Also:
        Constant Field Values

    - #### REMOTE_CONTROLLED_TRANSMISSION

          public static final int REMOTE_CONTROLLED_TRANSMISSION

      See Also:
        Constant Field Values

    - #### NEGOTIATE_OUTPUT_LINE_WIDTH

          public static final int NEGOTIATE_OUTPUT_LINE_WIDTH

      See Also:
        Constant Field Values

    - #### NEGOTIATE_OUTPUT_PAGE_SIZE

          public static final int NEGOTIATE_OUTPUT_PAGE_SIZE

      See Also:
        Constant Field Values

    - #### NEGOTIATE_CARRIAGE_RETURN

          public static final int NEGOTIATE_CARRIAGE_RETURN

      See Also:
        Constant Field Values

    - #### NEGOTIATE_HORIZONTAL_TAB_STOP

          public static final int NEGOTIATE_HORIZONTAL_TAB_STOP

      See Also:
        Constant Field Values

    - #### NEGOTIATE_HORIZONTAL_TAB

          public static final int NEGOTIATE_HORIZONTAL_TAB

      See Also:
        Constant Field Values

    - #### NEGOTIATE_FORMFEED

          public static final int NEGOTIATE_FORMFEED

      See Also:
        Constant Field Values

    - #### NEGOTIATE_VERTICAL_TAB_STOP

          public static final int NEGOTIATE_VERTICAL_TAB_STOP

      See Also:
        Constant Field Values

    - #### NEGOTIATE_VERTICAL_TAB

          public static final int NEGOTIATE_VERTICAL_TAB

      See Also:
        Constant Field Values

    - #### NEGOTIATE_LINEFEED

          public static final int NEGOTIATE_LINEFEED

      See Also:
        Constant Field Values

    - #### EXTENDED_ASCII

          public static final int EXTENDED_ASCII

      See Also:
        Constant Field Values

    - #### FORCE_LOGOUT

          public static final int FORCE_LOGOUT

      See Also:
        Constant Field Values

    - #### BYTE_MACRO

          public static final int BYTE_MACRO

      See Also:
        Constant Field Values

    - #### DATA_ENTRY_TERMINAL

          public static final int DATA_ENTRY_TERMINAL

      See Also:
        Constant Field Values

    - #### SUPDUP

          public static final int SUPDUP

      See Also:
        Constant Field Values

    - #### SUPDUP_OUTPUT

          public static final int SUPDUP_OUTPUT

      See Also:
        Constant Field Values

    - #### SEND_LOCATION

          public static final int SEND_LOCATION

      See Also:
        Constant Field Values

    - #### TERMINAL_TYPE

          public static final int TERMINAL_TYPE

      See Also:
        Constant Field Values

    - #### END_OF_RECORD

          public static final int END_OF_RECORD

      See Also:
        Constant Field Values

    - #### TACACS_USER_IDENTIFICATION

          public static final int TACACS_USER_IDENTIFICATION

      See Also:
        Constant Field Values

    - #### OUTPUT_MARKING

          public static final int OUTPUT_MARKING

      See Also:
        Constant Field Values

    - #### TERMINAL_LOCATION_NUMBER

          public static final int TERMINAL_LOCATION_NUMBER

      See Also:
        Constant Field Values

    - #### REGIME_3270

          public static final int REGIME_3270

      See Also:
        Constant Field Values

    - #### X3_PAD

          public static final int X3_PAD

      See Also:
        Constant Field Values

    - #### WINDOW_SIZE

          public static final int WINDOW_SIZE

      See Also:
        Constant Field Values

    - #### TERMINAL_SPEED

          public static final int TERMINAL_SPEED

      See Also:
        Constant Field Values

    - #### REMOTE_FLOW_CONTROL

          public static final int REMOTE_FLOW_CONTROL

      See Also:
        Constant Field Values

    - #### LINEMODE

          public static final int LINEMODE

      See Also:
        Constant Field Values

    - #### X_DISPLAY_LOCATION

          public static final int X_DISPLAY_LOCATION

      See Also:
        Constant Field Values

    - #### OLD_ENVIRONMENT_VARIABLES

          public static final int OLD_ENVIRONMENT_VARIABLES

      See Also:
        Constant Field Values

    - #### AUTHENTICATION

          public static final int AUTHENTICATION

      See Also:
        Constant Field Values

    - #### ENCRYPTION

          public static final int ENCRYPTION

      See Also:
        Constant Field Values

    - #### NEW_ENVIRONMENT_VARIABLES

          public static final int NEW_ENVIRONMENT_VARIABLES

      See Also:
        Constant Field Values

    - #### EXTENDED_OPTIONS_LIST

          public static final int EXTENDED_OPTIONS_LIST

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getOption

          public static final java.lang.String getOption(int code)

      Returns the string representation of the telnet protocol option corresponding to the given option code.
      Parameters:
        `code` - The option code of the telnet protocol option
      Returns:
        The string representation of the telnet protocol option.

    - #### isValidOption

          public static final boolean isValidOption(int code)

      Determines if a given option code is valid. Returns true if valid, false if not.
      Parameters:
        `code` - The option code to test.
      Returns:
        True if the option code is valid, false if not.